Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Python-Plasmoide starten nicht mehr
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
l3u
Advocate
Advocate


Joined: 26 Jan 2005
Posts: 2086
Location: Konradsreuth (Germany)

PostPosted: Thu Mar 13, 2014 11:33 am    Post subject: Python-Plasmoide starten nicht mehr Reply with quote

Hallo :-)

Ich hab ein kleines Problem. Ich kann kein Python-Plasmoid mehr starten. Das hat zunächst mal meinen kompletten Desktop lahmgelegt, nach dem Login kam einfach, dass plasma-desktop gecrasht wäre und ein schwarzer Bildschirm. Herunterbrechen konnte ich das dann auf die Tatsache, dass ein in Python geschriebenes Plasmoid nicht starten konnte. Nachdem ich das entfernt hatte, konnte ich mich auch wieder normal anmelden.

Wenn ich ein Python-Plasmoid (es ist nicht nur das eine betroffen, sondern alle) per plasma-windowed starten will, dann bekomme ich:
Code:
plasma-windowed(2904): Communication problem with  "plasma-windowed" , it probably crashed.
Error message was:  "org.freedesktop.DBus.Error.NoReply" : " "Message did not receive a reply (timeout by message bus)" "

Als Übeltäter habe ich das kürzlich (gestern oder vorgestern) upgedatete dev-python/PyQt4-4.10.3-r2 im Verdacht … ein Downgrade des Pakets hat den Fehler aber auch leider nicht behoben.

Wie debuggt man das?! Bzw. kann das Problem einer von euch reproduzieren?
Back to top
View user's profile Send private message
franzf
Advocate
Advocate


Joined: 29 Mar 2005
Posts: 3923
Location: Irgendwo im Nirgendwo

PostPosted: Thu Mar 13, 2014 2:44 pm    Post subject: Reply with quote

emerge -pv PyQt4 und eselect python list - ist das aktive python evtl. aus den PYTHON_TARGETS rausgeflogen?
_________________
"der mac dennoch wesen geil"
Wolfram von Eschenbach, Parzival (Buch 1, Z. 7).
Ein frühes Statement gegen Windows.

My overlay
Back to top
View user's profile Send private message
l3u
Advocate
Advocate


Joined: 26 Jan 2005
Posts: 2086
Location: Konradsreuth (Germany)

PostPosted: Thu Mar 13, 2014 3:17 pm    Post subject: Reply with quote

dev-python/PyQt4 hab ich schon neu gebaut, erst die ältere Version 4.10.2, dann nochmal 4.10.3-r2 – ändert alles nichts. Ich hab auch noch andere Pakete neu gebaut, die mit KDE, Plasma, Qt und Python zu tun haben. Keine Änderung …

Python ist auch ganz normal installiert:
Code:
# eselect python list
Available Python interpreters:
  [1]   python2.7
  [2]   python3.2
  [3]   python3.3 *

Code:
# eselect python list --python2
Available Python 2 interpreters:
  [1]   python2.7 *

PyQt4 ist auch damit gebaut (PYTHON_TARGETS="python2_7 python3_3"):
Code:
# eix pyqt
[I] dev-python/PyQt4
     Available versions:  4.10.2 ~4.10.3 4.10.3-r2 {X dbus debug declarative designer doc examples help kde multimedia opengl phonon script scripttools sql svg webkit xmlpatterns PYTHON_TARGETS="python2_6 python2_7 python3_2 python3_3"}
     Installed versions:  4.10.3-r2(10:31:47 13.03.2014)(X dbus declarative kde opengl phonon script sql svg webkit -debug -doc -examples -help -multimedia -scripttools -xmlpatterns PYTHON_TARGETS="python2_7 python3_3 -python2_6 -python3_2")
     Homepage:            http://www.riverbankcomputing.co.uk/software/pyqt/intro/ http://pypi.python.org/pypi/PyQt
     Description:         Python bindings for the Qt toolkit

Genau das selbe Verhalten habe ich übrigens auch auf einem anderen meiner Computer, der woanders steht, ein unabhängiges Setup hat und in einem anderen Netzwerk steckt (also kann das auch kein distcc-Problem oder sowas sein)
Back to top
View user's profile Send private message
Christian99
l33t
l33t


Joined: 28 May 2009
Posts: 991

PostPosted: Thu Mar 13, 2014 3:22 pm    Post subject: Reply with quote

da der fehler irgendwas wegen dbus war, könntest du vielleciht die dbus pakete nochmal bauen. z.B. dbus, dbus-python und qtdbus
Back to top
View user's profile Send private message
l3u
Advocate
Advocate


Joined: 26 Jan 2005
Posts: 2086
Location: Konradsreuth (Germany)

PostPosted: Thu Mar 13, 2014 3:52 pm    Post subject: Reply with quote

Auch ein
Code:
emerge -1 sys-apps/dbus dev-qt/qtdbus dev-python/dbus-python

mit nachfolgendem Neustart von DBUS und X ändert nichts …
Back to top
View user's profile Send private message
Christian99
l33t
l33t


Joined: 28 May 2009
Posts: 991

PostPosted: Thu Mar 13, 2014 3:57 pm    Post subject: Reply with quote

ich hab zwar nicht wirklich plan von dbus, aber überprüf doch mal, ob der tatsächlich läuft. du solltest (zumindest hier ist es so) 2 dbus-daemon haben, einen systemweiten und einen der dem user gehört.
Back to top
View user's profile Send private message
l3u
Advocate
Advocate


Joined: 26 Jan 2005
Posts: 2086
Location: Konradsreuth (Germany)

PostPosted: Thu Mar 13, 2014 4:36 pm    Post subject: Reply with quote

Es sind mehrere DBUS-Instanzen unterwegs. Namentlich:
Code:
dbus-daemon --system
dbus-launch --sh-syntax --exit-with-session
dbus-daemon --fork --print-pid 5 --print-address 7 --session

Ersterer gehört "message+", die beiden anderen Prozesse meinem User. Die restliche X- oder sonstwas-Kommunikation läuft ja auch über DBUS. Wenn der Daemon nicht laufen würde, dann würde ja was anderes auch nicht gehen …

Mal so gefragt: könnt ihr denn mit einem aktuellen stable-System Python-Plasmoide starten?!
Back to top
View user's profile Send private message
Christian99
l33t
l33t


Joined: 28 May 2009
Posts: 991

PostPosted: Thu Mar 13, 2014 4:46 pm    Post subject: Reply with quote

spaßhalber könntest du mal noch eine python2 version als system python setzen. sonst weiß ich dazu auch nix mehr :(
Back to top
View user's profile Send private message
l3u
Advocate
Advocate


Joined: 26 Jan 2005
Posts: 2086
Location: Konradsreuth (Germany)

PostPosted: Thu Mar 13, 2014 10:21 pm    Post subject: Reply with quote

Naja, vorher war ja auch Python 3 die Standardversion. Ich hab ja nichts geändert …

Nur um nochmal zu fragen: bin ich der einzige, der keine Python-Plasmoide mehr starten kann? laufen die bei euch normal?
Back to top
View user's profile Send private message
Christian99
l33t
l33t


Joined: 28 May 2009
Posts: 991

PostPosted: Thu Mar 13, 2014 10:24 pm    Post subject: Reply with quote

ich kann spontan jetzt nicht sagen, ob welche meiner plasmoide in python geschrieben sind oder nicht, hab aber keine probleme. wenn du mir ein python plasmoid sagst, probier ich es mal aus. hab aber auch unstable.
Back to top
View user's profile Send private message
l3u
Advocate
Advocate


Joined: 26 Jan 2005
Posts: 2086
Location: Konradsreuth (Germany)

PostPosted: Fri Mar 14, 2014 11:32 am    Post subject: Reply with quote

Schau doch einfach mal auf kde-apps.org (Kategorie „Plasmoid Scripts“) und such dir eines raus, was in Python geschrieben ist. Dann muss man nur die Zip-Datei auspacken und in dem Ordner plasma-windowed starten.
Back to top
View user's profile Send private message
firefly
Advocate
Advocate


Joined: 31 Oct 2002
Posts: 4115

PostPosted: Fri Mar 14, 2014 1:56 pm    Post subject: Reply with quote

hi,

ich hatte heute ein ähnliches problem. Bei mir crashte plasma-desktop beim start nachdem update von PyQt4.
Bei mir half es pykde4 neu zu bauen.
_________________
Ein Ring, sie zu knechten, sie alle zu finden,
Ins Dunkel zu treiben und ewig zu binden
Im Lande Mordor, wo die Schatten drohn.
Back to top
View user's profile Send private message
l3u
Advocate
Advocate


Joined: 26 Jan 2005
Posts: 2086
Location: Konradsreuth (Germany)

PostPosted: Fri Mar 14, 2014 5:28 pm    Post subject: Reply with quote

pykde4 neu bauen hat auch nichts geändert …
Back to top
View user's profile Send private message
Christian99
l33t
l33t


Joined: 28 May 2009
Posts: 991

PostPosted: Fri Mar 14, 2014 6:24 pm    Post subject: Reply with quote

bei mir funktionierts auch net. Bei plasma-windowed hab ich genua die gleiche Fehlermeldung wie du.
Back to top
View user's profile Send private message
l3u
Advocate
Advocate


Joined: 26 Jan 2005
Posts: 2086
Location: Konradsreuth (Germany)

PostPosted: Fri Mar 14, 2014 7:38 pm    Post subject: Reply with quote

Würde sich bitte ein jeder, der das reproduzieren kann, in Bug #504476 zu Wort melden?
Back to top
View user's profile Send private message
l3u
Advocate
Advocate


Joined: 26 Jan 2005
Posts: 2086
Location: Konradsreuth (Germany)

PostPosted: Sun Mar 16, 2014 1:52 pm    Post subject: Reply with quote

Also scheinbar ist dev-libs/glib der Übeltäter gewesen! Wie jetzt eine GTK-Bibliothek Plasma zum Abstürzen bringt, ist mir zwar nicht ganz klar … aber seit dev-libs/glib-2.38.2-r1 starten Python-Plasmoide wieder normal!
Back to top
View user's profile Send private message
firefly
Advocate
Advocate


Joined: 31 Oct 2002
Posts: 4115

PostPosted: Sun Mar 16, 2014 4:44 pm    Post subject: Reply with quote

glib wird nicht nur von gtk+ programmen verwendet. Auch Qt verwendet glib um mit libs klar zu kommen, welche eine glib eventloop erwarten.
_________________
Ein Ring, sie zu knechten, sie alle zu finden,
Ins Dunkel zu treiben und ewig zu binden
Im Lande Mordor, wo die Schatten drohn.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum